

PY_VERSION=2.3
PY_HEADERS=/usr/include/python${PY_VERSION}
MOZ_SOFTWARE=/usr/lib/mozilla

all: src/loader/libpyloader.so test/test_component/py_test_component.xpt

src/loader/libpyloader.so: src/loader/pyloader.cpp
	g++ -shared -fno-rtti \
	-DPYTHON_SO=\"libpython${PY_VERSION}.so\" \
	-I${MOZ_SOFTWARE}/include/xpcom \
	-I${MOZ_SOFTWARE}/include \
	-I${MOZ_SOFTWARE}/include/string \
	-I${MOZ_SOFTWARE}/include/nspr \
	-I${PY_HEADERS} \
	-L${MOZ_SOFTWARE} \
	-lpython${PY_VERSION} -lxpcom \
	-o src/loader/libpyloader.so src/loader/pyloader.cpp

test/test_component/py_test_component.xpt: test/test_component/py_test_component.idl
	xpidl -I${MOZ_SOFTWARE}/include/idl -m typelib \
	-e test/test_component/py_test_component.xpt \
	test/test_component/py_test_component.idl

install: src/loader/libpyloader.so test/test_component/py_test_component.xpt
	install src/loader/libpyloader.so ${MOZ_SOFTWARE}/components
	install -m 0644 test/test_component/py_test_component.py ${MOZ_SOFTWARE}/components
	install -m 0644 test/test_component/py_test_component.xpt ${MOZ_SOFTWARE}/components
	${MOZ_SOFTWARE}/regxpcom

clean:
	rm -f src/loader/libpyloader.so test/test_component/py_test_component.xpt

